import { createApp } from 'vue'
import App from './App.vue'
import router from './routers'
import vuex from './vuexStore'
import pinia from './store'

import { registerElIcons } from '@/plugins/ElIcons'
// svg-icons注册导入
// @ts-ignore: virtual module injected by svg-icons plugin
// UI框架 element-plus

import ElementPlus from 'element-plus'
import '@/styles/element/index.scss'
import 'element-plus/dist/index.css'
import '@/styles/common.scss'
// 引入暗黑模式 element-plus 2.2 内置暗黑模式
import 'element-plus/theme-chalk/dark/css-vars.css'
// 自定义暗黑模式样式
import '@/styles/element/elememt-dark.scss'
// bootstrap icon
import "bootstrap-icons/font/bootstrap-icons.css";
// 引入阿里图标库
import '@/assets/iconfont/iconfont.scss'
import '@/assets/iconfont/iconfont.js'
// 引入国际化
import i18n from './i18n'

// import Config from './config'

// import Pigeon from './lib/pigeon.js'

const app = createApp(App)
registerElIcons(app)

app.use(vuex)
app.use(pinia)
app.use(router)
app.use(i18n)
app.use(ElementPlus).mount('#app')
